curl --request GET \
--url https://api-sandbox.argyle.com/v2/ratings/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-sandbox.argyle.com/v2/ratings/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-sandbox.argyle.com/v2/ratings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0176a5bd-6ed4-1a21-8661-32bc3546e6de",
"account": "0187c66e-e7e5-811c-b006-2232f00f426a",
"rating": "4.98",
"acceptance_rate": "0.91",
"ontime_rate": "0.94",
"achievements": [
{
"count": 1,
"label": "excellent_service",
"points": null,
"metadata": {},
"badge_url": "www.partner.com/badgeinfo",
"description": "Excellent Service"
},
{
"count": 1,
"label": "great_amenities",
"points": null,
"metadata": {},
"badge_url": "www.partner.com/badgeinfo",
"description": "Great Amenities"
}
],
"employer": "GigAndGo",
"created_at": "2023-03-15T13:19:55.723Z",
"updated_at": "2023-03-15T13:19:55.723Z",
"metadata": {}
}Retrieve A Rating
Retrieves a rating object.
Authorizations
Username = api_key_id, Password = api_key_secret
Path Parameters
ID of the rating object to be retrieved.
Response
Unique ID of the rating object.
ID of the account associated with the rating object.
A normalized average of the user's ratings between 0 and 5. Overall average, as payroll system do not typically provide ratings information for individual events. Returned as a decimal string with exactly two decimal places.
Percent of the time the user accepts a task. Decimal between 0 and 1. Returned as a decimal string with exactly two decimal places.
Percent of the time the user completes a task on time. Decimal between 0 and 1. Returned as a decimal string with exactly two decimal places.
Individual ratings or achievement information, sorted into relevant key:value pairs. Varies by gig platform.
Rewards program information.
Show child attributes
Show child attributes
Name of the user's employer.
Additional, non-categorized information.